package com.ozs.appshow.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ozs.appshow.dto.ChartClassDTO;

public interface ChartClassMapper {

	public List<ChartClassDTO> listChartClassByName(@Param("className") String className) throws Exception;

	public ChartClassDTO getChartClassByCode(@Param("classCode") String classCode) throws Exception;
	            
	public void removeChartClassByCode(@Param("menuCode") String menuCode) throws Exception;

	public int saveChartClass(ChartClassDTO ChartClassDTO) throws Exception;

	public int updateChartClass(ChartClassDTO ChartClassDTO) throws Exception;

	public ChartClassDTO getChartClassByName(@Param("className") String className);

	/**
	 * 根据图表编码，获取分类关联图表数量
	 * 
	 * @param menuCode
	 * @return
	 */
	public Integer countChartByClassCode(@Param("classCode") String classCode);

	/**
	 * 修改分类及其子分类Code
	 * 
	 * @param menuCode
	 * @param nowMenuCode
	 */
	public void updateChartClassCode(@Param("classCode") String classCode, @Param("newClassCode") String newClassCode);

}
